Subject: RE: draft-ietf-ipv6-node-requirements-03.txt

From: [email-masked]
Date: Tue, 11 Mar 2003 14:57:46 +0200

Hi Jim,

I agree, I think it is a good compromise.

> I like Brian's suggestion folks.
> /jim
>
> > "Bound, Jim" wrote:
> > 
> > much deleted...
> > ...
> > > My issue is about stateless and stateful being required features 
> > > within IPv6 for auto configuration.  Both are needed and both are 
> > > required.
> > 
> > I hope we all agree on this, using lower case. I think we 
> > have a genuine problem here in they way RFC 2119 defines 
> > SHOULD - it makes it very strong indeed, maybe a bit too 
> > strong for this case, whereas MAY is clearly too weak. Maybe 
> > indeed we need to qualify the SHOULD, e.g. 
> > 
> > Stateful Address Autoconfiguration SHOULD be supported, unless all 
> > possible use cases for the specific implementation concerned 
> > are clearly satisfied by Stateless Address Autoconfiguration.
> > 
> >    Brian

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Tim Chown <[email-masked]>
Date: Tue, 11 Mar 2003 13:41:37 +0000

DNS discovery remains probably the "sticking" issue for need for DHCPv6
in otherwise atatelessly autoconfiguring networks.

I agree that the mechanism should be discussed and determined in the DNS
WG (dnsext I presume).   However, can anyone confirm if there is a slot
in dnsext in San Francisco for this issue?   There's no agenda on the IETF 
site.

Tim